This section describes a summary of the questions and an overview of the responses.
The full questions used for the survey are listen in the Appendix~\ref{appx:Q}.


A detailed description of the rationale behind the choice of questions and design
of the survey was published in an initial work by the group~\cite{MKPJBBRBP18}.

The answers were first requested in written form and then followed up by a telephone
interview to clarify answers and get deeper insight into the responses.
This was especially important when sites answered widely different, omitted 
responses or were going into extensive detail.
The total number of pages for responses ranged from 8 to 17 pages per center.

In this section only the context and question summary is stated with grouped answers. Centers may belong to several of the identified groups. 
This is done to give enough context for the analysis Section~\label{sec:analysis} and stay within page limits. The first three questions were about motivation, system description and average workloads.
\begin{itemize}

    % Q1:
    % What motivated your site's development and implementation of energy 
    % or power aware job scheduling or resource management capabilities?
    \item[Motivation:] The motivation of centers for employing \EPAJSRM solutions were grouped into several categories: 
        \begin{itemize}
        \item Power and cooling constraints due to center factility restriction.
        \item Operational optimizaton for energy or power efficient solutions.
        \item Budgetary optimization regarding operational expenses.
        \item Satisfy contractual agreements with energy service provider.
        \item Governemnt direction (following outside events (such as March 11th Earthquake, or demand to go green.)
        \item Development of \EPAJSRM solution to develop capabilities anticipating future energy challenges. 
    \end{itemize}

    % Q2:
    % Please describe your data center and major 
    % high-performance computing system or systems where energy or power aware 
    % job scheduling and resource management capabilities have been deployed in a
    % way that covers some or all of the following points of interest.
    % \begin{enumerate}[(a)]
    % \item Total site power budget or capacity in watts.
    % \item Total site cooling capacity.
    % \item Major high-performance computing system or systems in terms related to:
    % number of cabinets, nodes, and cores; 
    % peak performance; 
    % node architecture, high-speed network type, memory;
    % peak, average, and idle power draw.  
    % \end{enumerate}
    % Other information to help describe site/system level drivers for energy or 
    % power aware job scheduling and resource management.
    \item[Systems:] The centers surveyed used their \EPAJSRM solution on systems from small test systems to center flagship systems. A requirement for the center selection was presence in the TOP500 and using \EPAJSRM in production. 

        The centers power budget ranged from large centers of 19~MW to smaller sites with capacity of 2~MW. The range of clusters at the sites employing the \EPAJSRM solution ranged from \texttildelow300~nodes to \texttildelow90000~nodes. Critical to assess the capabilities were also information about cooling capacity, difference of idle to peak power draw and additional information describing HPC systems and center infrastructure.~\cite{SC18poster}\cite{MKPJBBRBP18}
    
    % Q3:
    % \item Describe the general workload on your high-performance 
    % computing system or systems. 
    % Specifically, any or all of the following would be useful:
    % \begin{enumerate}[(a)]
    %     \item What is running right now, or what does a typical snapshot look like?
    % How many jobs are running?
    % What sizes are these jobs?
    % Generally how long do jobs run?
    %     \item What does the backlog of queued jobs look like?
    % How many jobs are currently waiting?
    % What are the sizes of waiting jobs?
    % How long will they run?
    %     \item What is the throughput of your system?
    % Approximately how many jobs per month?
    %     \item In simple terms, describe your main scheduling goal.
    % Possible examples of scheduling goals might include priority, turn-around 
    % time, fairness, efficiency, or system utilization.  
    % What percentage of your system’s use would you consider to be “capability”
    % (using the maximum computing power to solve a single large problem in the 
    % shortest amount of time) or “capacity” (using efficient cost-effective 
    % computing power to solve a few somewhat large problems or many small     
    % problems)?
    %     \item If you have statistical information available, what is the minimum, 
    % median, maximum, and 10th, 25th, 75th, and 90th percentile job size 
    % and wallclock time?
    % \end{enumerate}
    \item[Workloads:]
        The systems reflected typical capacity and capability installations.
        With both smaller and larger systems deployments usage ranged from many small jobs or few large full system jobs. 2 sites identified as having a clear focus on small jobs, 4 sites having a highly variable priority mix with the requirement also to run large jobs. One center had a clear focus on large scale jobs, but the ability to run many small jobs still as a requirement.
        Depending on the site, job runtime was restricted on a hourly basis (12h-24h depending on job queue during normal operation).
        The sites sometimes had special jobs running longer using dedicated access of the resource.
        From the scheduling side, almost all sites prioritized fairness and high utilization. 
        %From the scheduling side allmost all sites priorities were fairness and utilization or both. 
   
\end{itemize}
After these clarification questions to understand the center's motivation, the final five questions focused the center's \EPAJSRM solutions.
\begin{itemize}
    % Q4:
    % \item Describe the energy and power aware job scheduling and
    % resource management capabilities of your large-scale high-performance 
    % computing system or systems. 
    \item[\EPAJSRM capabilities:] 
        The centers \EPAJSRM capabilities ranged from monitoring to develop and understand power and energy to active approaches for managing current demands and situations.
        Groups for these are:
        \begin{itemize}
            \item Emergency job suspension.
            \item Consumption assessment before job start.
            \item Monitoring and notificaiton for critical situations.
            \item Node shutdown of idle nodes.
            \item On demand frequency scaling.
            \item System and job power capping.
            \item \EPAJSRM solution to support traditional scheduling goals.
        \end{itemize}

    % Q5:
    % \item List and briefly describe all of the elements that 
    % comprise your energy and power aware job scheduling and resource management 
    % capabilities.  
    % \begin{enumerate}[(a)]
    %     \item Include an implementation time component to your answer (this is, when
    % was it implemented?).
    %     \item Are these elements commercially available supported products?
    %     \item Has there been much non-portable/non-product work done to implement 
    % your capabilities?
    % \end{enumerate}
    \item[Elements of \EPAJSRM solution:]
        The group asked for the setup of componenets used in the \EPAJSRM solution. 
        How this was set up, developed and utilized. Interesting here was also if 
        vendors provided the solution and how this was further developed.

        Centers had different setups containing:
        \begin{itemize}
            \item Emergency job stopping mechanims with different levels of automation.
            \item Power and energy aware modifications to Scheduler
            \item Tools for DVFS or Power Capping (System-/Job-/Node-Level).
            \item Infrastructure monitoring
            \item Monitoring for better understanding of user applications. 
            \item Active research to develop any of the actively used capabilities.
        \end{itemize}

    % Q6:
    % Do you have application/task level joint optimization,
    % such as topology-aware task allocation, as a way of directly improving 
    % energy consumption or indirectly improving energy consumption (for example,
    % by improving application performance, resulting in reduced wallclock 
    % time)?
    % Did you engage software development communities to improve your energy and 
    % power aware job scheduling and resource management solution for this 
    % capability? 
    \item[Other \EPAJSRM capabilities at job level:] 
        When asked about capabilities going beyond traditional \EPAJSRM solutions such as
        topology-aware placement, other indirect or direct ways to improve energy efficiency some centers were focusing research in that direction.
        Some of the centers were also engaged in community efforts. 
        Since the centers were using their solution in production the development 
        is often done on seperate systems and research projects, to assess production readiness and develop these capabilities.

    % Q7:
    % How well does your solution work?
    % What are the advantages and disadvantages of your implementation?
    % Describe any results, benefits, or unintended consequences of your 
    % implementation.
    \item[Assessment of own solution:] 
        When asked to self assess if the solutions works well. The general consensus was that it is. The systems were succesfully deployed in production for up to 5 years. For other centers important insigths into what works and what doesnt could be learned.
        All centers agreed that this is critical to direct future research especially to deploy future production grade solutions.

    % Q8:
    % What are the next steps for the energy or power aware job 
    % scheduling and resource management capability you have developed?
    % \begin{enumerate}[(a)]
    %     \item Do you intend to continue site development and/or product deployment?
    %     \item Will your planned next steps drive new requirements in procurement 
    % documents, NRE funding, etc.?
    % \end{enumerate}
    \item[Question about next steps:]
        Some centers laid out direct goals for long term development, while others directed their focus on the most recent upcoming procurement.
        Long term goals were extensions of prototypes, working solutions and going into directions other centers had successfully used.
        With an increasing number of vendors offering solutions in \EPAJSRM the in-house developments of centers are augmented or replaced.
\end{itemize}
This concludes the summary of questions and answers and gives context for the following sections.

% In the following we go into the rationale of the questions.
% The purpose of the first question is to determine each center's motivations
% behind pursuing energy and power aware job scheduling and resource management
% in an attempt to identify motives common among multiple centers.  The purpose
% of the second and third questions is to determine each center's hardware
% environment (question 2) and the typical workloads running on that hardware
% (question 3).  Any energy and power aware job scheduling and resource management
% approach needs to take into consideration the hardware and workload
% characteristics of the given center, so understanding these characteristics
% is critical for evaluating each center's approach.  Similarly, question 4 and
% question 5 ask about details of each center's \EPAJSRM solution, including asking
% sub-questions that focus on whether the solution is built using vendor-supplied
% elements and/or elements that have been created custom by the center.  Question
% 4 is the specific point of the questionnaire while question 5 seeks to identify
% (1) how involved vendors are in helping centers build \EPAJSRM solutions, and
% (2) how heavily centers are using one-off homegrown control systems that might
% be interesting to study in more detail.  Similarly, question 6 asks about very
% advanced job scheduling techniques such as topology-aware placement of a
% job's processing elements onto computational resources.  A positive response
% to this question would likely indicate a very high level of sophistication in
% \EPAJSRM techniques that would definitely be interesting to report about in
% this paper.  Further, such sophisticated techniques would likely involve at
% least some understanding of each application's internal structure and, therefore,
% require assistance from application developers.  The question specifically asks
% whether such interaction takes place within each center.  Finally, the motivation
% behind question 7 and question 8 are to get a qualitative assessment of each
% center's \EPAJSRM solution as well as potential next steps.  Each center is the
% subject matter expert for their unique solution, so allowing the center an
% opportunity to openly assess the efficacy of the solution is important.
% 
